Subject: Re: CA WC
From: "Mike" <[email-masked]>
To: "Ryan Hafer" <[email-masked]>
Date: Wed, 29 Sep 2010 16:11:13 -0400

Should we use this instead of the one we currently have?  I think this would look better on our posters as well.  Good work!
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Ryan Hafer 
  To: Mike 
  Sent: Wednesday, September 29, 2010 3:58 PM
  Subject: Re: CA WC

  I think I found the newer version on the gov site.

  dir.ca.gov/dwc/dwc_home_page.htm

  On Wed, Sep 29, 2010 at 2:46 PM, Ryan Hafer <[email-masked]> wrote:

    Attached is th California Page 2 update

    On Wed, Sep 29, 2010 at 2:16 PM, Mike <[email-masked]> wrote:

      Thank you,
      Michael Bishop
      Labor Law Poster Service
      Phone 877-321-4144
      Fax 888-442-4144
      [email-masked]